
#define USGARDID        6

;Debug macros
#define PUSHALL         push af \ push bc \ push de \ push hl \ push ix
#define POPALL          pop ix \ pop hl \ pop de \ pop bc \ pop af

;MACRO DEFINITIONS
#define GETABOVELEFT    dec e
#define GETABOVERIGHT   inc d \ dec e
#define GETLEFT         
#define GETRIGHT        inc d
#define GETBELOWLEFT    inc e
#define GETBELOWRIGHT   inc d \ inc e

;Game Flag Bit Constants
#define ISFINISHED      0       ;finished with current level?
#define ISGAMEOVER      1       ;lost all lives?
#define GOTKEY          2       ;did sol pick up the key?
#define ISSOLDEAD       3       ;did sol die in the level?
#define WONGAME         4       ;did sol finish the last level
#define CHEATENABLED    5       ;cheating is enabled for the level

;Miscellaneuos
#define GAMESPEED       14      ;controls timing of interrupt used for timing
#define REFRESHNUM      7       ;# times through game loop until screen is going
                                ; to be updated
#define NUMITEMS        12      ;number of items such as key, door, potion, etc.
#define LEVELTIME       10000   ;number of time units for each level
#define MAXSCROLL       5       ;max size of fireball scroll
#define FIREBALLLIFE    250     ;length of life for fireball

;Sprite Structure Constants
#define CHARNUM         0
#define XPOS            1
#define YPOS            2
#define DELAY           3
#define OFFSET          4
#define FLAGS           5
#define EXTRA           6
#define SPRTADDR        7

#define SIZEOFSTRUCT    9

;Sol Flag Bit Constants
#define ISLEFT          0
#define ISFALLING       1
#define ISJUMPING       2
#define ISHITHEAD       3
#define ISBREAKING      4       ;breaking a block
#define ISDUCKING       5
#define ISWANDING       6
#define ISFBWANDING     7

;Sprite Constants (used in map, no enemy characters)
#define EMPTY           $00
#define HOURGLASS       $01
#define WALL            $82
#define LIFEBOTTLE      $03
#define FIREBALLBOTTLE  $04
#define MORESCROLL      $05
#define WINDOW          $06
#define CLOSEDDOOR      $07
#define KEY             $08
#define OPENDOOR        $09
#define BLOCK           $80
#define BLOCKLGCRK      $C0     ;never put cracked block in new level! (reuses bit 6)

;Animation Constants (used in map to tell where to put character)
;all have bit 6 set

#define SOLOMON         $40
        ;the 4 sparks must be grouped in this order!
        ; also, Fast is Odd, Slow is Even
#define FASTSPARK       $41
#define SLOWSPARK       $42
#define ABOVEFASTSPARK  $43     ;will be converted to FASTSPARK (sub 2)
#define ABOVESLOWSPARK  $44     ;will be converted to SLOWSPARK (sub 2)
#define FLAME           $45
#define SKULLSETUP      $46     ;does setup for skull (goes in map)
#define SKULL           $47     ;this tile cannot be put in the starting level map
#define FIRSTSPITTER    $48
#define SPITTERUP       $48
#define SPITTERDOWN     $49
#define SPITTERLEFT     $4A
#define SPITTERRIGHT    $4B
#define LASTSPITTER     $4B


;Spark Constants
#define SPARKRIGHT      0
#define SPARKDOWN       1
#define SPARKLEFT       2
#define SPARKUP         3


;Spitter Constants
#define ISINITIALIZED   0
#define ISSPITTING      1


;Flame Constants
#define ISFLAMELOW      0
#define ISFLAMEFALLING  1

